# $Revision: 1.23 $, $Date: 2009/03/28 23:47:55 $
#
# Conditional build:
%bcond_without	matroska	# don't build with matroska support
%bcond_without	static_libs	# don't build static library
#
Summary:	Ripping and encoding DVD into AVI/OGM files
Summary(pl.UTF-8):	Zgrywanie i kodowanie DVD do plików AVI/OGM
Name:		ogmrip
Version:	0.12.3
Release:	1
License:	LGPL v2.1+
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/ogmrip/%{name}-%{version}.tar.gz
# Source0-md5:	11a52e5d9d7f936ae3a1925b5ab51b72
URL:		http://ogmrip.sourceforge.net/en/index.html
BuildRequires:	GConf2-devel >= 2.6.0
BuildRequires:	dbus-glib-devel >= 0.3.0
BuildRequires:	enca-devel
BuildRequires:	enchant-devel >= 1.1.0
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.6.0
BuildRequires:	gtk+2-devel >= 2:2.10.0
BuildRequires:	hal-devel >= 0.5.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libdvdread-devel >= 0.9.7
BuildRequires:	libglade2-devel >= 1:2.5.0
BuildRequires:	libgnomeui-devel >= 2.6.0
BuildRequires:	libnotify-devel >= 0.4.3
BuildRequires:	libstdc++-devel
BuildRequires:	libtheora-devel >= 1.0-0.alpha5
BuildRequires:	libuuid-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.198
# TODO: remove configure checks (just assume support for everything, mkvtoolnix 2.x)
BuildRequires:	mencoder >= 3:1.0-3.rc1
%{?with_matroska:BuildRequires:	mkvtoolnix >= 2}
Requires(post,preun):	GConf2 >= 2.6.0
Requires:	%{name}-libs = %{version}-%{release}
Requires:	eject
Requires:	gocr >= 0.39
Requires:	lame >= 3.96
Requires:	mencoder
%{?with_matroska:Requires:	mkvtoolnix >= 2}
Requires:	mplayer >= 3:1.0-3.rc1
Requires:	ogmtools >= 1.0
Requires:	vorbis-tools >= 1:1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OGMRip is an application and a set of libraries for ripping and
encoding DVD into AVI/OGM files using a wide variety of codecs. It
relies on mplayer, mencoder, ogmtools, oggenc and lame to perform its
tasks.

Features:
- transcodes from DVD or files
- outputs ogm, avi or matroska files
- provides a lot of codecs (ogg vorbis, mp3, pcm, ac3, xvid, lavc)
- calculates video bitrate for a given filesize
- calculates cropping parameters and scaling factors
- uses maximum quality codec switches
- supports subtitles extraction
- rips contiguous chapters

%description -l pl.UTF-8
OGMRip jest aplikacją i zestawem bibliotek służącymi do zgrywania i
kodowania DVD do plików AVI/OGM przy użyciu wielu różnych kodeków. Do
wykonywania zadań używa mplayera, mencodera, ogmtools, oggenc i lame.

Cechy:
- przekodowuje z DVD lub plików,
- na wyjściu daje pliki ogm, avi lub matroska,
- umożliwia używanie wielu kodeków (ogg vorbis, mp3, pcm, ac3, xvid,
  lavc),
- oblicza tempo bitowe dla danego rozmiaru pliku,
- oblicza parametry obcinania i skalowania,
- używa kodeków z ustawionymi parametrami maksymalnej jakości,
- wspiera wydobycie napisów,
- zgrywa ciągłe rozdziały.

%package libs
Summary:	%{name} libraries
Summary(pl.UTF-8):	Biblioteki %{name}
Group:		Libraries

%description libs
%{name} libraries.

%description libs -l pl.UTF-8
Biblioteki %{name}.

%package devel
Summary:	%{name} header files
Summary(pl.UTF-8):	Pliki nagłówkowe %{name}
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
%{name} header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe %{name}.

%package static
Summary:	Static %{name} libraries
Summary(pl.UTF-8):	Statyczne biblioteki %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static %{name} libraries.

%description static -l pl.UTF-8
Statyczne biblioteki %{name}.

%prep
%setup -q

%build
%configure \
	EJECT_PROG=/usr/bin/eject \
	FAAC_PROG=/usr/bin/faac \
	GOCR_PROG=/usr/bin/gocr \
	LAME_PROG=/usr/bin/lame \
	MENCODER_PROG=/usr/bin/mencoder \
	MKVMERGE_PROG=/usr/bin/mkvmerge \
	MPLAYER_PROG=/usr/bin/mplayer \
	OCRAD_PROG=/usr/bin/ocrad \
	OGGENC_PROG=/usr/bin/oggenc \
	OGMMERGE_PROG=/usr/bin/ogmmerge \
	OGMSPLIT_PROG=/usr/bin/ogmsplit \
	--disable-schemas-install \
	%{!?with_static_libs:--disable-static} \
	--with-html-dir=%{_gtkdocdir} \
	--with-mplayer-version=1.0rc1
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

# broken install dependecies (/usr/bin/ld: cannot find -logmrip-mplayer)
%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/{audio-codecs,containers,subp-codecs,video-codecs}/*.{la,a}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install ogmrip.schemas

%preun
%gconf_schema_uninstall ogmrip.schemas

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/dvdcpy
%attr(755,root,root) %{_bindir}/ogmrip
%attr(755,root,root) %{_bindir}/subp*
%attr(755,root,root) %{_bindir}/theoraenc
%{_sysconfdir}/gconf/schemas/ogmrip.schemas
%{_desktopdir}/ogmrip.desktop
%{_pixmapsdir}/ogmrip.png
%{_datadir}/%{name}
%{_mandir}/man1/dvdcpy.1*
%{_mandir}/man1/subp*.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libogmdvd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libogmdvd.so.0
%attr(755,root,root) %{_libdir}/libogmdvd-gtk.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libogmdvd-gtk.so.0
%attr(755,root,root) %{_libdir}/libogmjob.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libogmjob.so.0
%attr(755,root,root) %{_libdir}/libogmrip.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libogmrip.so.0
%attr(755,root,root) %{_libdir}/libogmrip-lavc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libogmrip-lavc.so.0
%attr(755,root,root) %{_libdir}/libogmrip-gtk.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libogmrip-gtk.so.0
%attr(755,root,root) %{_libdir}/libogmrip-mplayer.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libogmrip-mplayer.so.0
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/audio-plugins
%attr(755,root,root) %{_libdir}/%{name}/audio-plugins/*.so
%dir  %{_libdir}/%{name}/container-plugins
%attr(755,root,root) %{_libdir}/%{name}/container-plugins/*.so
%dir %{_libdir}/%{name}/subp-plugins
%attr(755,root,root) %{_libdir}/%{name}/subp-plugins/*.so
%dir %{_libdir}/%{name}/video-plugins
%attr(755,root,root) %{_libdir}/%{name}/video-plugins/*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libogmdvd.so
%attr(755,root,root) %{_libdir}/libogmdvd-gtk.so
%attr(755,root,root) %{_libdir}/libogmjob.so
%attr(755,root,root) %{_libdir}/libogmrip.so
%attr(755,root,root) %{_libdir}/libogmrip-gtk.so
%attr(755,root,root) %{_libdir}/libogmrip-lavc.so
%attr(755,root,root) %{_libdir}/libogmrip-mplayer.so
%{_libdir}/libogmdvd.la
%{_libdir}/libogmdvd-gtk.la
%{_libdir}/libogmjob.la
%{_libdir}/libogmrip.la
%{_libdir}/libogmrip-gtk.la
%{_libdir}/libogmrip-lavc.la
%{_libdir}/libogmrip-mplayer.la
%{_includedir}/ogmdvd
%{_includedir}/ogmjob
%{_includedir}/ogmrip
%{_pkgconfigdir}/ogmdvd.pc
%{_pkgconfigdir}/ogmdvd-gtk.pc
%{_pkgconfigdir}/ogmjob.pc
%{_pkgconfigdir}/ogmrip.pc
%{_pkgconfigdir}/ogmrip-gtk.pc
%{_gtkdocdir}/ogmdvd
%{_gtkdocdir}/ogmdvd-gtk
%{_gtkdocdir}/ogmjob
%{_gtkdocdir}/ogmrip
%{_gtkdocdir}/ogmrip-gtk

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libogmdvd.a
%{_libdir}/libogmdvd-gtk.a
%{_libdir}/libogmjob.a
%{_libdir}/libogmrip.a
%{_libdir}/libogmrip-gtk.a
%{_libdir}/libogmrip-lavc.a
%{_libdir}/libogmrip-mplayer.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ogmrip.spec,v $
Revision 1.23  2009/03/28 23:47:55  areq
- 0.12.3

Revision 1.22  2009/02/22 10:31:28  arekm
- release 5

Revision 1.21  2009/01/12 20:14:11  arekm
- release 4

Revision 1.20  2008/11/30 11:57:44  arekm
- release 3

Revision 1.19  2008/11/13 07:51:08  arekm
- rel 2; buildfix

Revision 1.18  2008/11/13 07:31:36  arekm
- up to 0.12.2; fix configure call

Revision 1.17  2008/11/12 21:12:35  arekm
- release 2

Revision 1.16  2008/06/04 01:20:12  charles
- without static_libs bcond

Revision 1.15  2008-06-03 23:24:54  charles
- added URL

Revision 1.14  2008-01-04 02:28:53  zbyniu
- up to 0.11.2

Revision 1.13  2007-12-26 19:29:37  qboosh
- LGPL v2.1+
- BR macros for gconf_schema_*

Revision 1.12  2007-12-26 19:27:41  qboosh
- files cleanup part 2; gtkdoc moved to -devel
- avoid BRing programs (well, most of; mencoder and mkvtoolnix left for now)
- more actual BRs

Revision 1.11  2007-12-26 18:31:44  qboosh
- files cleanup part 1
- restored ldconfig calls

Revision 1.10  2007-10-22 13:03:31  wolvverine
- up to 0.11.1

Revision 1.9  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:14  baggins
- converted to UTF-8

Revision 1.7  2006/11/07 22:29:01  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.6  2005/06/29 00:22:15  charles
- updated to 0.9.0

Revision 1.5  2005/05/04 16:17:18  charles
- improved Source0

Revision 1.4  2005/05/04 15:59:38  charles
- updated to 0.8.2
- BR: intltool

Revision 1.3  2005/04/22 11:18:43  charles
- updated to 0.8.1
- BR: gettext-devel, hal-devel, libstdc++-devel
- added matroska support (bcond without) - BR, R mkvtoolnix
- BRs and Rs min. versions

Revision 1.2  2005/03/08 16:48:52  wolf
- typo

Revision 1.1  2005/03/08 16:48:07  wolf
- new
